---
id: dec
title: dec
hide_title: true
hide_table_of_contents: true
sidebar_label: dec
description: Decompress a kernelcache
---
## ipsw kernel dec

Decompress a kernelcache

```
ipsw kernel dec <kernelcache> [flags]
```

### Options

```
  -h, --help            help for dec
  -o, --output string   Output file
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw kernel](/docs/cli/ipsw/kernel)	 - Parse kernelcache

